#ifndef VALUATION_H
#define VALUATION_H

#include <cmath>
#include<iostream>

using namespace std;

/* This is a truth assignment */

class Valuation {
	private:
		int n;
		int* p;
	public:
		Valuation(){n=0; p=NULL;};
		Valuation(int i, int total); // Gives valuation corresponding to ith valuation.
		Valuation(int _n, int* p);
		Valuation(const Valuation& c);
		Valuation& operator=(const Valuation& c);
		~Valuation();
		bool operator==(const Valuation& other) const;
			
		
		int get_n(){ return n;};
		int get_p_i(int i);
};

typedef Valuation Clause;
// Since each valuation gives rise to a clause.
// Valuation is used by deprecated side condition first code.
typedef Valuation TruthAssignment;
#endif

