#include "rational.h"

Rational::Rational(int i){
	if(i==-1){ //For empty key in hash maps
		top = 0;
		bottom = 0;
	}
	else{
	top = i;
	bottom = 1;
	}
}

double Rational::get(){ 
	return (static_cast<double>(top)/bottom);
}
		
ostream& operator<<(ostream &o, const Rational &r){
	o << r.top << "/" << r.bottom;
	return o;
}
		
bool operator==(const Rational &r1, const Rational &r2){
	return((r1.top*r2.bottom) == (r2.top*r1.bottom));
}

bool operator!=(const Rational &r1, const Rational &r2){
	return !(r1==r2);
}
