#include "satisfyingassignment.h"

SatisfyingAssignment::SatisfyingAssignment(int _size, char* _array){
	size = _size;
	
	if(size)
		array = new char [size];
	else
		array = NULL;
	
	for(int i=0; i < size; i++)
		array[i]=_array[i];
}	

SatisfyingAssignment::SatisfyingAssignment(const SatisfyingAssignment& a){
	size = a.size;
	
	if(size)
		array = new char [size];
	else
		array = NULL;
	
	for(int i=0; i < size; i++)
		array[i]=a.array[i];
}

SatisfyingAssignment& SatisfyingAssignment::operator=(const SatisfyingAssignment& a){
	if(this != &a){
		if(array)
			delete [] array;
		size = a.size;
		
		if(size)
			array = new char [size];
		else
			array = NULL;
	
		for(int i=0; i < size; i++)
			array[i]=a.array[i];
	}
	return *this;
}


SatisfyingAssignment::~SatisfyingAssignment(){
	if(array)
		delete [] array;
}

char SatisfyingAssignment::get_array_i(int i){
	if(array)
		return array[i];
	return '\0';
}

bool SatisfyingAssignment::operator==(const SatisfyingAssignment& other) const{
		if(size == other.size){
			for(int i = 0; i < size; i++)
				if(array[i]!=other.array[i])
					return false;
			return true;
		}
		return false;
		}
